/**
 * $Id: DeprecatedCodeException.java,v 1.2 2009/03/19 10:02:43 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 17.02.2009 by oliver (ob@oasd.de)
 */
package patterntesting.check.runtime;

import org.aspectj.lang.JoinPoint;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 17.02.2009
 * @version $Revision: 1.2 $
 */
public class DeprecatedCodeException extends RuntimeException {

    private static final long serialVersionUID = 20090217L;

    public DeprecatedCodeException(JoinPoint jp) {
        super(jp.toShortString() + " is deprecated!");
    }

}

/**
 * $Log: DeprecatedCodeException.java,v $
 * Revision 1.2  2009/03/19 10:02:43  oboehm
 * compiler warnings fixed
 *
 * Revision 1.1  2009/02/17 21:08:47  oboehm
 * aspect splitted into an abstract and a concrete part
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-check/src/main/java/patterntesting/check/runtime/DeprecatedCodeException.java,v $
 */
